Bug 511591 - FTBFS gnome-scan-0.6.2-1.fc11
FTBFS gnome-scan-0.6.2-1.fc11
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-scan (Show other bugs)
12
All Linux
high Severity high
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Reopened, Triaged
Depends On:
Blocks: F12FTBFS
  Show dependency treegraph
 
Reported: 2009-07-14 23:29 EDT by FTBFS
Modified: 2010-01-15 10:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-15 10:18:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (962.54 KB, text/plain)
2009-07-14 23:29 EDT, FTBFS
no flags Details
build.log (107.03 KB, text/plain)
2009-07-14 23:29 EDT, FTBFS
no flags Details
mock.log (966 bytes, text/plain)
2009-07-14 23:29 EDT, FTBFS
no flags Details
root.log (1.41 MB, text/plain)
2009-07-14 23:29 EDT, FTBFS
no flags Details
build.log (105.69 KB, text/plain)
2009-07-14 23:29 EDT, FTBFS
no flags Details
mock.log (974 bytes, text/plain)
2009-07-14 23:29 EDT, FTBFS
no flags Details
this might work to update it to the latest babl api (2.42 KB, patch)
2010-01-15 06:51 EST, Caolan McNamara
no flags Details | Diff
fix building 0.7.1 against current babl (1.88 KB, patch)
2010-01-15 09:24 EST, Matthias Clasen
no flags Details | Diff

  None (edit)
Description FTBFS 2009-07-14 23:29:14 EDT
gnome-scan-0.6.2-1.fc11.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
Comment 1 FTBFS 2009-07-14 23:29:17 EDT
Setting to ASSIGNED per Fedora Bug Triage workflow.  https://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow
Comment 2 FTBFS 2009-07-14 23:29:21 EDT
Created attachment 352642 [details]
root.log

root.log for i386
Comment 3 FTBFS 2009-07-14 23:29:22 EDT
Created attachment 352643 [details]
build.log

build.log for i386
Comment 4 FTBFS 2009-07-14 23:29:23 EDT
Created attachment 352644 [details]
mock.log

mock.log for i386
Comment 5 FTBFS 2009-07-14 23:29:26 EDT
Created attachment 352645 [details]
root.log

root.log for x86_64
Comment 6 FTBFS 2009-07-14 23:29:27 EDT
Created attachment 352646 [details]
build.log

build.log for x86_64
Comment 7 FTBFS 2009-07-14 23:29:28 EDT
Created attachment 352647 [details]
mock.log

mock.log for x86_64
Comment 8 Deji Akingunola 2009-08-11 20:28:12 EDT
Fixed in rawhide.
Comment 9 Deji Akingunola 2009-08-11 20:30:36 EDT
Oops, sorry this one is not fixed yet.
Comment 10 Matt Domsch 2009-10-22 15:47:31 EDT
http://koji.fedoraproject.org/koji/buildinfo?buildID=118017
is last failed build.
Comment 11 Matt Domsch 2009-10-22 16:29:14 EDT
This package failed to build in Koji for Fedora 12, and at this point in the release cycle (Beta is out), we'll have to live with the F11 build of the package unless there is another bug in your package which would prevent the release of Fedora 12.

If your package is now obsolete and should be removed from Fedora 12 and future, please follow the End of Life instructions here:
https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

If your package is not obsolete, and you wish it to remain in the distribution for Fedora 13, please update your package's devel branch in CVS so that it builds, build it in koji, and close this bug as "CLOSED RAWHIDE", including the link to the koji build that succeeded.  You can do this now, while final touches are being placed on Fedora 12 without affecting F12.

Shortly after F12 is out, but before the F13 Alpha release, all F12FTBFS-blocking bugs will be re-evaluated.  At that time, if progress has not been made to fix the package, it will be removed from the distribution for F13.
Comment 12 Bug Zapper 2009-11-16 05:54:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Jan Vlug 2009-12-30 07:25:31 EST
I see 13 bugs similar to:
 [abrt] crash detected in gnome-scan-0.6.2-1.fc11
Comment 14 Caolan McNamara 2010-01-15 06:51:41 EST
Created attachment 384588 [details]
this might work to update it to the latest babl api
Comment 15 Matthias Clasen 2010-01-15 09:23:33 EST
There is a 0.7.1 from about a year ago, which builds with a minimal patch
Comment 16 Matthias Clasen 2010-01-15 09:24:11 EST
Created attachment 384623 [details]
fix building 0.7.1 against current babl
Comment 17 Deji Akingunola 2010-01-15 09:40:37 EST
(In reply to comment #14)
> Created an attachment (id=384588) [details]
> this might work to update it to the latest babl api    

Thanks a lot for the patch Caolan, I will go ahead and update the package.
Comment 18 Deji Akingunola 2010-01-15 09:42:19 EST
(In reply to comment #15)
> There is a 0.7.1 from about a year ago, which builds with a minimal patch    

Upstream refers to the 0.7.1 as a development preview, with several regressions. I don't think its ready for Fedora yet.
Comment 19 Deji Akingunola 2010-01-15 10:18:38 EST
Builds now succeed on rawhide and F-12 with Caolan McNamara's patch.

Note You need to log in before you can comment on or make changes to this bug.